VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmPreview 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Preview"
   ClientHeight    =   4395
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5715
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmPreview.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   293
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   381
   Begin VB.CommandButton Command6 
      Caption         =   "&Adobe .act"
      Height          =   495
      Left            =   4440
      TabIndex        =   5
      ToolTipText     =   "Save as Adobe Color Table"
      Top             =   3000
      Width           =   1200
   End
   Begin VB.CommandButton Command5 
      Caption         =   "Mi&crosoft"
      Height          =   495
      Left            =   4440
      TabIndex        =   4
      ToolTipText     =   "Save As Miscrosoft Palette"
      Top             =   2460
      Width           =   1200
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2580
      Top             =   1980
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command4 
      Caption         =   "&Microangelo"
      Height          =   495
      Left            =   4440
      TabIndex        =   3
      ToolTipText     =   "Save As Microangelo Palette"
      Top             =   1920
      Width           =   1200
   End
   Begin VB.CommandButton Command3 
      Caption         =   "&Open"
      Height          =   495
      Left            =   4440
      TabIndex        =   2
      Top             =   1380
      Visible         =   0   'False
      Width           =   1200
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&OK"
      Height          =   495
      Left            =   4440
      TabIndex        =   1
      Top             =   60
      Width           =   1200
   End
   Begin VB.PictureBox picPreview 
      BackColor       =   &H00FF0000&
      Height          =   240
      Index           =   0
      Left            =   60
      ScaleHeight     =   12
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   12
      TabIndex        =   0
      Top             =   60
      Width           =   240
   End
End
Attribute VB_Name = "frmPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'http://www.geocities.com/autofade
'autofade@hotmail.com

Private Sub Preview(DeLimiter As String)
    Dim i As Byte
    Dim Colors() As Long
    ReDim Colors(1 To CByte(frmAct.scrNumColors.Value) + 1)
    For i = 0 To CByte(frmAct.scrNumColors.Value)
        Colors(i + 1) = frmAct.picColor(i).BackColor
    Next i
    Call FadeColors(Colors, 256, DeLimiter, False)
End Sub

Private Sub PreviewMicroangelo(DeLimiter As String)
    Dim i As Byte
    Dim Colors() As Long
    ReDim Colors(1 To CByte(frmAct.scrNumColors.Value) + 1)
    For i = 0 To CByte(frmAct.scrNumColors.Value)
        Colors(i + 1) = frmAct.picColor(i).BackColor
    Next i
    Call FadeColors(Colors, 216, DeLimiter, False)
End Sub

Private Sub Command1_Click()
    Call Unload(Me)
    frmAct.Show
End Sub

'Private Sub Command2_Click()
'    Dim i%
'    For i% = 0 To 255
'        picPreview(i%).BackColor = vbBlack
'    Next i%
'End Sub

Private Sub Command4_Click()
    On Error GoTo err
    With CommonDialog1
        .CancelError = True
        .DialogTitle = "Save .PAL File"
        .DefaultExt = ".pal"
        .Filter = "Microangelo Palette|*.pal|"
        .ShowSave
        Call PreviewMicroangelo(Chr(20))
        Call SaveText(strMicroangeloA$ & TESTrgb(216) & strMicroangeloB$, .filename)
    End With
err:
End Sub

Private Sub Command5_Click()
    On Error GoTo err
    With CommonDialog1
        .CancelError = True
        .DialogTitle = "Save .PAL File"
        .DefaultExt = ".pal"
        .Filter = "Microsoft Palette|*.pal|"
        .ShowSave
        Call Preview(vbNullString)
        Call SaveText(strMSPal & TESTchrMS, .filename)
    End With
err:
End Sub

Private Sub Command6_Click()
    On Error GoTo err
    With CommonDialog1
        .CancelError = True
        .DialogTitle = "Save .ACT File"
        .DefaultExt = ".act"
        .Filter = "Color Table|*.act|"
        .ShowSave
        Call Preview(vbNullString)
        Call SaveText(TESTchr, .filename)
    End With
err:
End Sub

Private Sub Form_Load()
    Dim i As Integer
    Dim txtFade As String
    Dim strout As String
    For i% = 1 To 256
        Load picPreview(i%)
    Next i%
    For i% = 16 To 240 Step 16
        picPreview(i%).Move picPreview(i% - 16).Left, picPreview(i% - 16).Top + picPreview(i% - 16).Height + 2
    Next i%
    For i% = 1 To 15
        picPreview(i%).Move picPreview(i% - 1).Left + picPreview(i%).Width + 2, picPreview(i% - 1).Top
        picPreview(i% + 16).Move picPreview(i% + 16 - 1).Left + picPreview(i% + 16).Width + 2, picPreview(i% + 16 - 1).Top
        picPreview(i% + 32).Move picPreview(i% + 32 - 1).Left + picPreview(i% + 32).Width + 2, picPreview(i% + 32 - 1).Top
        picPreview(i% + 48).Move picPreview(i% + 48 - 1).Left + picPreview(i% + 48).Width + 2, picPreview(i% + 48 - 1).Top
        picPreview(i% + 64).Move picPreview(i% + 64 - 1).Left + picPreview(i% + 64).Width + 2, picPreview(i% + 64 - 1).Top
        picPreview(i% + 80).Move picPreview(i% + 80 - 1).Left + picPreview(i% + 80).Width + 2, picPreview(i% + 80 - 1).Top
        picPreview(i% + 96).Move picPreview(i% + 96 - 1).Left + picPreview(i% + 96).Width + 2, picPreview(i% + 96 - 1).Top
        picPreview(i% + 112).Move picPreview(i% + 112 - 1).Left + picPreview(i% + 112).Width + 2, picPreview(i% + 112 - 1).Top
        picPreview(i% + 128).Move picPreview(i% + 128 - 1).Left + picPreview(i% + 128).Width + 2, picPreview(i% + 128 - 1).Top
        picPreview(i% + 144).Move picPreview(i% + 144 - 1).Left + picPreview(i% + 144).Width + 2, picPreview(i% + 144 - 1).Top
        picPreview(i% + 160).Move picPreview(i% + 160 - 1).Left + picPreview(i% + 160).Width + 2, picPreview(i% + 160 - 1).Top
        picPreview(i% + 176).Move picPreview(i% + 176 - 1).Left + picPreview(i% + 176).Width + 2, picPreview(i% + 176 - 1).Top
        picPreview(i% + 192).Move picPreview(i% + 192 - 1).Left + picPreview(i% + 192).Width + 2, picPreview(i% + 192 - 1).Top
        picPreview(i% + 208).Move picPreview(i% + 208 - 1).Left + picPreview(i% + 208).Width + 2, picPreview(i% + 208 - 1).Top
        picPreview(i% + 224).Move picPreview(i% + 224 - 1).Left + picPreview(i% + 224).Width + 2, picPreview(i% + 224 - 1).Top
        picPreview(i% + 240).Move picPreview(i% + 240 - 1).Left + picPreview(i% + 240).Width + 2, picPreview(i% + 240 - 1).Top
    Next i%
    For i% = 1 To 256
        picPreview(i%).Visible = True
    Next i%
    Dim Colors() As Long
    ReDim Colors(1 To CByte(frmAct.scrNumColors.Value) + 1)
    For i% = 0 To CByte(frmAct.scrNumColors.Value)
        Colors(i% + 1) = frmAct.picColor(i%).BackColor
    Next i%
    Call FadePopulate(picPreview, Colors)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call Command1_Click
End Sub

'Private Sub picPreview_Click(Index As Integer)
'    On Error GoTo err
'    With CommonDialog1
'        .Color = picPreview(Index).BackColor
'        .ShowColor
'        .CancelError = True
'        picPreview(Index).BackColor = .Color
'    End With
'err:
'End Sub
